apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: hgzero-ingress
  namespace: hgzero
  annotations:
    nginx.ingress.kubernetes.io/rewrite-target: /$2
    nginx.ingress.kubernetes.io/ssl-redirect: "true"
spec:
  ingressClassName: nginx
  rules:
    - host: hgzero-api.example.com
      http:
        paths:
          - path: /user(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: user-svc
                port:
                  number: 8080
          - path: /meeting(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: meeting-svc
                port:
                  number: 8081
          - path: /stt(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: stt-svc
                port:
                  number: 8082
          - path: /ai(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: ai-svc
                port:
                  number: 8083
          - path: /notification(/|$)(.*)
            pathType: ImplementationSpecific
            backend:
              service:
                name: notification-svc
                port:
                  number: 8084
